Bug 1652491 - Updating security group rules failed with unclear error message
Summary: Updating security group rules failed with unclear error message
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.0
Assignee: Scott Seago
QA Contact: Sudhir Mallamprabhakara
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks: 1655761
TreeView+ depends on / blocked
 
Reported: 2018-11-22 09:06 UTC by Jad Haj Yahya
Modified: 2019-02-12 16:51 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1655761 (view as bug list)
Environment:
Last Closed: 2019-02-12 16:51:39 UTC
Category: ---
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)
screenshot (166.17 KB, image/png)
2018-11-22 09:06 UTC, Jad Haj Yahya
no flags Details

Description Jad Haj Yahya 2018-11-22 09:06:09 UTC
Created attachment 1507895 [details]
screenshot

Description of problem:
Updating security group rules  failed with unclear error message

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Navigate to Networks > Security Groups
2. Create a security group (will be created with default 2 rules)
3. Enter sec group details and got to Configurations > Edit
4. On Firewall rules section edit both rules by changing Host protocol and 
   remote sec group fields
5. Click Save. 


Actual results:
An error message will be displayed (see attachment)

Expected results:
operation should complete successfully without errors

Additional info:
 Do it twice or three times to get the error

Comment 2 Scott Seago 2018-11-28 13:58:36 UTC
Since this is a 404/not found error, I'm wondering if this only happens with newly-created security groups. If you do a provider refresh, does this error still occur afterwards?

Comment 3 Scott Seago 2018-11-28 16:52:31 UTC
Nevermind on the needinfo. Since the group doesn't show up in the UI until after refresh, it's not a refresh-related issue.

What appears to be happening is that the list of remote security groups is not filtered by provider. The dropdown list includes security groups from all providers rather than just those for the provider that the current group belongs to. If i choose a remote security group from another provider, I see the same 404, which I'd expect to see since the group won't be found. When I choose a remote group from the current provider, it works without error.

I'm going to see if filtering the list by provider makes the problem go away here.

Comment 4 Scott Seago 2018-11-29 15:05:59 UTC
PR posted: https://github.com/ManageIQ/manageiq-ui-classic/pull/5013

Comment 5 CFME Bot 2018-12-03 09:26:47 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/776cfb8a9b1b03cd8ad362bb020cf15d5c5a734b
commit 776cfb8a9b1b03cd8ad362bb020cf15d5c5a734b
Author:     Scott Seago <sseago@redhat.com>
AuthorDate: Thu Nov 29 09:58:40 2018 -0500
Commit:     Scott Seago <sseago@redhat.com>
CommitDate: Thu Nov 29 09:58:40 2018 -0500

    Bug 1652491: filter security group list based on provider

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1652491

    For setting the remote security group for security group
    rules, the dropdown included *all* security groups, including
    those for other providers. This commit filters the list
    to only show security groups for the current provider.

 app/assets/javascripts/controllers/security_group/security_group_form_controller.js | 8 +-
 1 file changed, 5 insertions(+), 3 deletions(-)

Comment 6 CFME Bot 2018-12-03 15:23:04 UTC
New commit detected on ManageIQ/manageiq-ui-classic/hammer:

https://github.com/ManageIQ/manageiq-ui-classic/commit/9834660cf24f0daf18520b198559cbe26edc650c
commit 9834660cf24f0daf18520b198559cbe26edc650c
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Mon Dec  3 04:26:18 2018 -0500
Commit:     Milan Zázrivec <mzazrivec@redhat.com>
CommitDate: Mon Dec  3 04:26:18 2018 -0500

    Merge pull request #5013 from sseago/security_group_edit

    Bug 1652491: filter security group list based on provider

    (cherry picked from commit 87179d58b5000cc56cfb93c774268f23fb1ea0f2)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1652491

 app/assets/javascripts/controllers/security_group/security_group_form_controller.js | 8 +-
 1 file changed, 5 insertions(+), 3 deletions(-)

Comment 8 Jad Haj Yahya 2018-12-10 12:35:38 UTC
Verified on 5.10.0.28


Note You need to log in before you can comment on or make changes to this bug.